org.apache.solr.client.solrj.io.eval

## Interface OneValueWorker

All Superinterfaces:
  ValueWorker

All Known Implementing Classes:
  AbsoluteValueEvaluator, ArcCosineEvaluator, ArcSineEvaluator, ArcTangentEvaluator, AscEvaluator, CeilingEvaluator, ColumnCountEvaluator, ConstantDistributionEvaluator, ConversionEvaluator, CorrelationSignificanceEvaluator, CosineEvaluator, CubedRootEvaluator, DerivativeEvaluator, DescribeEvaluator, EmpiricalDistributionEvaluator, FactorialEvaluator, FFTEvaluator, FloorEvaluator, GeometricDistributionEvaluator, GetAmplitudeEvaluator, GetAngularFrequencyEvaluator, GetAreaEvaluator, GetAttributesEvaluator, GetBaryCenterEvaluator, GetBoundarySizeEvaluator, GetCenterEvaluator, GetCentroidsEvaluator, GetColumnLabelsEvaluator, GetMembershipMatrixEvaluator, GetPhaseEvaluator, GetRadiusEvaluator, GetRowLabelsEvaluator, GetSupportPointsEvaluator, GetVerticesEvaluator, GrandSumEvaluator, HyperbolicCosineEvaluator, HyperbolicSineEvaluator, HyperbolicTangentEvaluator, IFFTEvaluator, L1NormEvaluator, LengthEvaluator, LInfNormEvaluator, Log10Evaluator, MeanEvaluator, ModeEvaluator, NaturalLogEvaluator, NormalizeEvaluator, NormEvaluator, NotEvaluator, OnesEvaluator, PoissonDistributionEvaluator, RankEvaluator, RecipEvaluator, RecursiveTemporalEvaluator, ReverseEvaluator, RoundEvaluator, RowCountEvaluator, SineEvaluator, SquareRootEvaluator, SumColumnsEvaluator, SumRowsEvaluator, SumSqEvaluator, TangentEvaluator, TemporalEvaluatorDay, TemporalEvaluatorDayOfQuarter, TemporalEvaluatorDayOfYear, TemporalEvaluatorEpoch, TemporalEvaluatorHour, TemporalEvaluatorMinute, TemporalEvaluatorMonth, TemporalEvaluatorQuarter, TemporalEvaluatorSecond, TemporalEvaluatorWeek, TemporalEvaluatorYear, TransposeEvaluator, UnitEvaluator, ZerosEvaluator

    public interface OneValueWorker
    extends ValueWorker

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default Object` `doWork(Object... values)`
`Object` `doWork(Object value)`

### Method Detail

#### doWork

    Object doWork(Object value)
           throws IOException

Throws:
  `IOException`

#### doWork

    default Object doWork(Object... values)
                   throws IOException

Specified by:
  `doWork` in interface `ValueWorker`
Throws:
  `IOException`